A list of workflow executions













Beta Workflows Runs Endpoints
List and inspect individual workflow runs.












Examples
Real world code examples
List Runs
GET /v1/workflows/runs
200
Successful Response
next_page_token
Token to use for fetching the next page of results. Null if this is the last page.
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"executions": [
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}
]
}{
"executions": [
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}
]
}Get Run
GET /v1/workflows/runs/{run_id}
run_id
200
Successful Response
end_time
The end time of the workflow execution, if available
execution_id
The ID of the workflow execution
parent_execution_id
The parent execution ID of the workflow execution
result
The result of the workflow execution, if available
root_execution_id
The root execution ID of the workflow execution
start_time
The start time of the workflow execution
status
The status of the workflow execution
total_duration_ms
The total duration of the trace in milliseconds
workflow_name
The name of the workflow
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}Get Run History
GET /v1/workflows/runs/{run_id}/history
run_id
decode_payloads
200
Response Type
any
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnull